curl -X GET 'https://restapi.fax.plus/v3/webhooks?event=fax_received&limit=50' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer {access-token}'
import requests
resp = requests.get(
"https://restapi.fax.plus/v3/webhooks",
params={"event": "fax_received", "limit": 50},
headers={"Authorization": "Bearer {access-token}", "Accept": "application/json"},
)
print(resp.json())
{
"data": [
{
"id": "ep_33ZIBDmz66FcPG35FnsbM6Ie4X1",
"url": "https://example.com/fax-webhooks",
"description": "Sales inbox",
"filter_types": ["fax_sent", "fax_received"],
"channels": ["+12135550123"],
"disabled": false,
"created_at": "2026-08-31T15:11:00Z",
"updated_at": "2026-08-31T15:11:00Z"
}
],
"next": null
}
{
"error": "bad_request",
"description": "invalid_limit"
}
{
"error": "plan_not_eligible"
}
{
"error": "bad_request",
"description": "application not found, enable webhooks in Fax.Plus integrations settings"
}
{
"error": "server_error",
"description": "server_error"
}
Webhooks
List webhook endpoints
List webhook endpoints for this account. Optional event filter uses names (fax_received). Requires webhooks to be enabled in Integrations. (Permitted scopes: fax:all:read, fax:webhook:read)
GET
/
webhooks
curl -X GET 'https://restapi.fax.plus/v3/webhooks?event=fax_received&limit=50' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer {access-token}'
import requests
resp = requests.get(
"https://restapi.fax.plus/v3/webhooks",
params={"event": "fax_received", "limit": 50},
headers={"Authorization": "Bearer {access-token}", "Accept": "application/json"},
)
print(resp.json())
{
"data": [
{
"id": "ep_33ZIBDmz66FcPG35FnsbM6Ie4X1",
"url": "https://example.com/fax-webhooks",
"description": "Sales inbox",
"filter_types": ["fax_sent", "fax_received"],
"channels": ["+12135550123"],
"disabled": false,
"created_at": "2026-08-31T15:11:00Z",
"updated_at": "2026-08-31T15:11:00Z"
}
],
"next": null
}
{
"error": "bad_request",
"description": "invalid_limit"
}
{
"error": "plan_not_eligible"
}
{
"error": "bad_request",
"description": "application not found, enable webhooks in Fax.Plus integrations settings"
}
{
"error": "server_error",
"description": "server_error"
}
Current webhook API. Requires webhooks enabled in Integrations. For the older one-event-per-hook API, see List user webhooks (Legacy).
curl -X GET 'https://restapi.fax.plus/v3/webhooks?event=fax_received&limit=50' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer {access-token}'
import requests
resp = requests.get(
"https://restapi.fax.plus/v3/webhooks",
params={"event": "fax_received", "limit": 50},
headers={"Authorization": "Bearer {access-token}", "Accept": "application/json"},
)
print(resp.json())
{
"data": [
{
"id": "ep_33ZIBDmz66FcPG35FnsbM6Ie4X1",
"url": "https://example.com/fax-webhooks",
"description": "Sales inbox",
"filter_types": ["fax_sent", "fax_received"],
"channels": ["+12135550123"],
"disabled": false,
"created_at": "2026-08-31T15:11:00Z",
"updated_at": "2026-08-31T15:11:00Z"
}
],
"next": null
}
{
"error": "bad_request",
"description": "invalid_limit"
}
{
"error": "plan_not_eligible"
}
{
"error": "bad_request",
"description": "application not found, enable webhooks in Fax.Plus integrations settings"
}
{
"error": "server_error",
"description": "server_error"
}
Authorizations
oauth2personal_access_token
OAuth2 Authorization Grant
Query Parameters
Webhook event type for /webhooks endpoints
Available options:
fax_received, fax_sent, fax_page_received Required range:
x >= 1Pagination cursor from a previous list response